import os
from os import path

import pandas as pd

"""

    Use it to ...

    :Example:

    >>> from Modules import global 

"""

def path_test(path, file):
    
    if not os.path.exists(path):
        log = f"\n\n### ERROR : Path doesn't exist : {path}\n\n"
        raise ValueError(log)        

    elif file == 0 and not os.path.isdir(path):
        log = f"\n\n### ERROR : Path is not a directory : {path}\n\n"
        raise ValueError(log)
          
    elif file == 1 and not os.path.isfile(path):
        log = f"\n\n### ERROR : Path is not a file : {path}\n\n"
        raise ValueError(log)

def read_group_file(group_file):
    df_group = pd.read_csv(group_file, names=["sample", "Species"], index_col=False, sep="\t")
    id_dict = {}
    for line in open(group_file).readlines():
        field = line[:-1].split()  # [0] id, [1] group
        id_dict[field[0]] = field[1]

    return id_dict, df_group
