import nbformat
from nbformat.v4 import new_code_cell, new_markdown_cell
import os

# Chemin vers le dossier du Jupyter Book
book_path = '/home/christine/Documents/Dev/frangiPANe_snake/workflow/report/'

# Liste des résultats à intégrer
results = ["# Résultat 1 \n 42", "Résultat 2 : Hello, World!"]

# Parcours des notebooks dans le dossier
for root, dirs, files in os.walk(book_path):
    for file in files:
        if file.endswith(".ipynb"):
            notebook_path = os.path.join(root, file)

            # Charger le notebook
            with open(notebook_path, "r", encoding="utf-8") as notebook_file:
                nb = nbformat.read(notebook_file, as_version=4)

            # Ajouter les résultats aux cellules du notebook
            for result in results:
                nb.cells.append(new_markdown_cell(result))

            # Enregistrer le notebook modifié
            with open(notebook_path, "w", encoding="utf-8") as notebook_file:
                nbformat.write(nb, notebook_file)
